{% extends 'base.html.twig' %}

{% block icon %}fa fa-upload{% endblock %}
{% block title %}Import d'un fichier CSV{% endblock %}
{% block breadcrumb %}
    <li>Référentiel archivage</li>
    <li><a href="{{ url('app_document_rule') }}">Règles documentaires</a></li>
    <li class="active">Import d'un fichier CSV</li>
{% endblock %}

{% block search %}
{% endblock %}

{% block body %}
    <section class="container bg-white paginable-section">
        <table class="table table-striped table-hover smart-td-size" id="csv-table-preview">
            <thead>
                <tr>
                    <th>1</th>
                    {% for field in csv[0] %}
                        <th>{{ field }}</th>
                    {% endfor %}
                </tr>
            </thead>
            <tbody>
                <tr>
                    <td>{{ import_session.lastRow }}</td>
                    {% for data in csv[1] %}
                        <th>{{ data }}</th>
                    {% endfor %}
                </tr>
            </tbody>
        </table>
        {% if exist_category %}
            <div>
                <div class="alert alert-warning">
                    Une catégorie existe déjà avec ce nom
                </div>
            </div>
        {% endif %}
        {% if exist_document %}
            <div>
                <div class="alert alert-warning">
                    Une règle documentaire existe déjà avec ce nom
                </div>
            </div>
        {% endif %}
        {% if missing_appraisal_rule is not empty %}
            <div>
                <div class="alert alert-warning">
                    La DUA "{{ missing_appraisal_rule }}" n'a pas été trouvée.
                </div>
                <button
                        type="button"
                        class="btn btn-success btn-for-input"
                        data-modal="ajax"
                        data-url="{{ url(
                            'app_management_rule_add',
                            {autopublish: 'AppraisalRule', name: missing_appraisal_rule}
                        ) }}"
                        data-title="Créer une règle de gestion"
                >
                    <i class="fa fa-plus-circle fa-space" aria-hidden="true"></i>
                    Créer une règle de gestion (DUA)
                </button>
            </div>
        {% endif %}
        {% if missing_access_rule is not empty %}
            <div>
                <div class="alert alert-warning">
                    Le code de communicabilité "{{ missing_access_rule }}" n'a pas été trouvé.
                </div>
                <button
                        type="button"
                        class="btn btn-success btn-for-input"
                        data-modal="ajax"
                        data-url="{{ url(
                            'app_management_rule_add',
                            {autopublish: 'AccessRule', name: missing_access_rule}
                        ) }}"
                        data-title="Créer une règle de gestion"
                >
                    <i class="fa fa-plus-circle fa-space" aria-hidden="true"></i>
                    Créer une règle de gestion (Communicabilité)
                </button>
            </div>
        {% endif %}
        <div class="btn-group">
            {% if is_first_page == false %}
                <a href="{{ url('app_document_rule_import_csv3_prev', {username: app.user.username}) }}" class="btn btn-default">
                    <i class="fa fa-arrow-left" aria-hidden="true"></i>
                    Ligne précédente
                </a>
            {% endif %}
            {% if is_last_page == false %}
                <a href="{{ url('app_document_rule_import_csv3_next', {username: app.user.username, level: level + 1, category: exist_category}) }}" class="btn btn-default">
                    Ligne suivante
                    <i class="fa fa-arrow-right" aria-hidden="true"></i>
                </a>
            {% endif %}
        </div>
    </section>
    <div class="container bg-white p-3">
        {{ form_start(form, {attr: {id: 'form-import-csv-row'}}) }}
        {{ form_row(form.type) }}
        <fieldset id="fieldset-category">
            <legend>Créer une catégorie</legend>
            {{ form_row(form.category_name) }}
            {{ form_row(form.category_description) }}
            {{ form_row(form.category_parent) }}
            {{ form_widget(form) }}
            <button class="btn btn-primary accept btn-form" type="submit">
                <i class="fa fa-floppy-o" aria-hidden="true"></i>
                <span>Enregistrer la catégorie</span>
            </button>
        </fieldset>
        {{ form_end(form) }}
        <fieldset id="fieldset-document-rule">
            <legend>Créer une règle documentaire</legend>
            {{ form_start(formDocument, {attr: {id: 'form-import-csv-row-document'}}) }}
            <button class="btn btn-primary accept btn-form" type="submit">
                <i class="fa fa-floppy-o" aria-hidden="true"></i>
                <span>Enregistrer la règle documentaire</span>
            </button>

            <fieldset class="form-group mt-3">
                <legend>Informations générales</legend>
                {{ form_row(formDocument.identifier) }}
                <button class="btn btn-default btn-form btn-for-input" type="button" data-slugify="#{{ formDocument.identifier.vars.id }}">
                    <span>Transformer en identifiant</span>
                </button>
                {{ form_row(formDocument.name) }}
                {{ form_row(formDocument.observation) }}
            </fieldset>

            <fieldset class="form-group">
                <legend>Informations complémentaires</legend>
                {{ form_row(formDocument.regulatoryText) }}
                {{ form_row(formDocument.documentSupport) }}
                {{ form_row(formDocument.literalFileFormat) }}
                {{ form_row(formDocument.documentLocation) }}
                {{ form_row(formDocument.profile) }}
            </fieldset>

            <fieldset class="form-group">
                <legend>Durée d'utilité courante (DUC)</legend>
                {{ form_row(formDocument.storageRule) }}
                {{ form_row(formDocument.storageRuleLiteralStartDate) }}
                {{ form_row(formDocument.storageRuleNote) }}
            </fieldset>

            <fieldset class="form-group">
                <legend>Durée d'utilité administrative (DUA)</legend>
                {{ form_row(formDocument.appraisalRule) }}
                {{ form_row(formDocument.appraisalRuleLiteralStartDate) }}
                {{ form_row(formDocument.appraisalRuleFinalAction) }}
                {{ form_row(formDocument.appraisalRuleNote) }}
            </fieldset>

            <fieldset class="form-group">
                <legend>Communicabilité</legend>
                {{ form_row(formDocument.accessRule) }}
                {{ form_row(formDocument.accessRuleLiteralStarDate) }}
                {{ form_row(formDocument.accessRuleNote) }}
            </fieldset>

            <fieldset class="form-group">
                <legend>Métadonnées supplémentaire</legend>
                {{ form_row(formDocument.technicalMetadata) }}
                {{ form_row(formDocument.public) }}
                {{ form_row(formDocument.labels) }}
                {{ form_row(formDocument.categories) }}
                {{ form_widget(formDocument) }}
            </fieldset>

            <button class="btn btn-primary accept btn-form" type="submit">
                <i class="fa fa-floppy-o" aria-hidden="true"></i>
                <span>Enregistrer la règle documentaire</span>
            </button>
            {{ form_end(formDocument) }}
        </fieldset>
    </div>
    <div class="container text-right">
        <button class="btn btn-danger" type="button" data-delete="ajax"
                data-confirm="Supprimer la session ?"
                data-url="{{ url('app_document_rule_delete_import_csv3', {username: app.user.username}) }}">
            <i class="fa fa-trash" aria-hidden="true"></i>
            <span>Supprimer la session d'import CSV</span>
        </button>
    </div>

    <script>
        $('#{{ form.type.vars.id }}').on('change', function() {
            let val = $(this).val();
            if (val === 'category') {
                $('#fieldset-document-rule').hide().disable();
                $('#fieldset-category').show().enable();
            } else {
                $('#fieldset-document-rule').show().enable();
                $('#fieldset-category').hide().disable();
            }
        }).trigger('change');

        $('#form-import-csv-row-document').find('input, select, textarea').each(function () {
            let val = $(this).val();
            if (val && (!Array.isArray(val) || val.length > 0)) {
                $(this).closest('.form-group').addClass('highlighted');
            }
        })
    </script>
{% endblock %}
